Skip to main content
POST
/
project
/
v1
/
planned-tasks
Create a planned task for a project
curl --request POST \
  --url https://api-{region}.sesametime.com/project/v1/planned-tasks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "startDate": "2023-12-25",
  "endDate": "2023-12-25",
  "plannedTaskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tagIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "startTime": "10:00",
  "endTime": "10:00"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Body

application/json

Planned task object that needs to be created

description
string
required

The description of the planned task

projectId
string<uuid>
required

The id of the project

startDate
string<date>
required

The start date of the planned task

endDate
string<date>
required

The end date of the planned task

plannedTaskId
string<uuid>

The id of the planned task, if not provided, it will be generated automatically

tagIds
string<uuid>[]

Tags associated with the planned task

startTime
string

The start time of the planned task, can be null

Example:

"10:00"

endTime
string

The end time of the planned task, can be null

Example:

"10:00"

Response

200 - application/json

Object

id
string<uuid>